Skip to main content
`Ctrl`+`K`

# PetscViewerViewFromOptions

View from the viewer based on options in the options database

## Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerViewFromOptions(PetscViewer A, PetscObject obj, const char name[])

Collective

## Input Parameters

- A - the `PetscViewer` context

- obj - Optional object that provides the prefix for the option names

- name - command line option

## Note

See `PetscObjectViewFromOptions()` for details on the viewers and formats support via this interface

## See Also

Viewers: Looking at PETSc Objects, `PetscViewer`, `PetscViewerView`, `PetscObjectViewFromOptions()`, `PetscViewerCreate()`

## Level

intermediate

## Location

src/sys/classes/viewer/interface/view.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages